> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Get a Change Event

`GET https://api.pagerduty.com/change_events/{id}`

Get details about an existing Change Event.

Scoped OAuth requires: `change_events.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

The Change Event requested.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `change_event` | object |  |  |
| `change_event.id` | string |  | Read-only. |
| `change_event.summary` | string |  | A brief text summary of the event. Displayed in PagerDuty to provide information about the change. The maximum permitted length of this property is 1024 characters. |
| `change_event.type` | string |  | The type of object being created. Read-only. One of: `change_event`. Default: `change_event`. |
| `change_event.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `change_event.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `change_event.timestamp` | string (date-time) |  | The time at which the emitting tool detected or generated the event. Read-only. |
| `change_event.services` | array of object |  | An array containing Service objects that this change event is associated with. Read-only. |
| `change_event.services[].id` | string | yes | Read-only. |
| `change_event.services[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `change_event.services[].type` | string | yes | One of: `service_reference`. |
| `change_event.services[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `change_event.services[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `change_event.integration` | object |  |  |
| `change_event.integration.id` | string | yes | Read-only. |
| `change_event.integration.summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `change_event.integration.type` | string | yes | One of: `aws_cloudwatch_inbound_integration_reference`, `cloudkick_inbound_integration_reference`, `event_transformer_api_inbound_integration_reference`, `generic_email_inbound_integration_reference`, `generic_events_api_inbound_integration_reference`, `keynote_inbound_integration_reference`, `nagios_inbound_integration_reference`, `pingdom_inbound_integration_reference`, `sql_monitor_inbound_integration_reference`, `events_api_v2_inbound_integration_reference`, `inbound_integration_reference`. |
| `change_event.integration.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `change_event.integration.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `change_event.routing_key` | string |  | This is the 32 character Integration Key for an Integration on a Service. The same Integration Key can be used for both alert and change events. Read-only. |
| `change_event.source` | string |  | The unique name of the location where the Change Event occurred. Read-only. |
| `change_event.links` | array of object |  | List of links to include. Read-only. |
| `change_event.links[].href` | string |  |  |
| `change_event.links[].text` | string |  |  |
| `change_event.images` | array of object |  | Read-only. |
| `change_event.images[].src` | string |  |  |
| `change_event.images[].href` | string |  |  |
| `change_event.images[].alt` | string |  |  |
| `change_event.custom_details` | object |  | Additional details about the change event. |

Example: Response Example

```json
{
  "change_event": {
    "summary": "Build Success - Increase snapshot create timeout to 30 seconds",
    "timestamp": "2020-07-17T08:42:58Z",
    "type": "change_event",
    "source": "acme-build-pipeline-tool-default-i-9999",
    "integration": {
      "id": "PEYSGVF",
      "type": "inbound_integration_reference"
    },
    "services": [
      {
        "id": "PEYSGRV",
        "type": "service_reference"
      }
    ],
    "custom_details": {
      "build_state": "passed",
      "build_number": "2",
      "run_time": "1236s"
    },
    "links": [
      {
        "href": "https://acme.pagerduty.dev/build/2",
        "text": "View more details in Acme!"
      }
    ]
  }
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
